You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.5, 2003-11-12 14:23:20-02:00, acme@conectiva.com.br
  o X25: use prepare_to_wait/finish_wait


 af_x25.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)


diff -Nru a/net/x25/af_x25.c b/net/x25/af_x25.c
--- a/net/x25/af_x25.c	Sat Nov 15 17:02:05 2003
+++ b/net/x25/af_x25.c	Sat Nov 15 17:02:05 2003
@@ -719,12 +719,12 @@
 
 static int x25_wait_for_data(struct sock *sk, int timeout)
 {
-	DECLARE_WAITQUEUE(wait, current);
+	DEFINE_WAIT(wait);
 	int rc = 0;
 
-	add_wait_queue_exclusive(sk->sk_sleep, &wait);
-	for (;;) {
-		__set_current_state(TASK_INTERRUPTIBLE);
+	while (1) {
+		prepare_to_wait_exclusive(sk->sk_sleep, &wait,
+					  TASK_INTERRUPTIBLE);
 		if (sk->sk_shutdown & RCV_SHUTDOWN)
 			break;
 		rc = -ERESTARTSYS;
@@ -738,8 +738,7 @@
 				  !skb_queue_empty(&sk->sk_receive_queue)))
 			break;
 	}
-	__set_current_state(TASK_RUNNING);
-	remove_wait_queue(sk->sk_sleep, &wait);
+	finish_wait(sk->sk_sleep, &wait);
 	return rc;
 }
 	

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.5
## Wrapped with gzip_uu ##


M'XL( "UXMC\  \5486_:,!#]'/^*DRI-5&L2GV,GD(FJM- -M>H0!6W?(F/,
M@H $)0$Z+3]^3J:QCE&A59/F1+HH]_SNW?G)9S#.=19:4JTT.8,/:5Z$EDH3
MK8KY5CHJ73F3S"2&:6H2;IRNM%MAW<F"N8DN;.;X#A*#&,A"Q;#561Y:Z'C[
M/\77M0ZM8>_]^+XS)*3=AIM8)E_THRZ@W29%FFWE<II?R2)>IHE39#+)5[JH
M:Y=[:,DH9>81&'A4^"7ZE >EPBFBY*BGE/&FSTDE[>I0_N\L'B(R] T5+9'[
MS"==0 <Y8PXZ JCG(KK( 'G(O)!1F[*04CC*#&\1;$JNX=]V<4,4I/"9B1 V
MN89UIM<RTU&11CLY+]S9/)GG<?U-[HQ.W^-D\&NJQ/[+10B5E%R>:,(<MOO$
MA"MGD0F.>MY+2[1*[@<42SWQ5%,T6[-F@!/!V?&Y'27[>3 >TI(*1H/:+(?(
MTYYYG= 7K/.24#1'93A+-+R\=I 7''H'3WA'@.W_7^_44_X(=K:K7V.%P1\#
M?X6=N@$S,R#]'\'J]F[[#[WH4Z<_:E2%S]]5" %>A0A,L';Q?*FA@>?PC5C6
M@>9(/ZGE)I]O=2-?V)?Y(LJ76J\OX$V5O3 ;S (8=1[OHO[#J#<<C@>C_O5]
IKZ[#$9BIPVLES[H_QF4V[*\M%6NUR#>K]C28M'PJ-/D.&5&SHBL%    
 
